Rotate a source intake credential.
curl --request POST \
--url https://api.leadping.ai/sources/{id}/credentials/rotate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/sources/{id}/credentials/rotate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/sources/{id}/credentials/rotate");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/sources/{id}/credentials/rotate")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/sources/{id}/credentials/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/sources/{id}/credentials/rotate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/sources/{id}/credentials/rotate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"source": {
"description": "<string>",
"enabled": true,
"apiKeyPreview": "<string>",
"apiKeyRotatedAt": "2023-11-07T05:31:56Z",
"firstLeadReceivedAt": "2023-11-07T05:31:56Z",
"lastLeadReceivedAt": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>"
},
"createdByUser": {
"id": "<string>",
"name": "<string>"
},
"createdByUserEmail": "jsmith@example.com",
"modifiedByUser": {
"id": "<string>",
"name": "<string>"
},
"organization": {
"id": "<string>",
"name": "<string>"
},
"costPerLead": 123,
"allowedStates": [
"<string>"
],
"allowedProducts": [
"<string>"
],
"requiresTrustedForm": true,
"complianceApproved": true,
"defaultTagIds": [
"<string>"
],
"defaultTags": [
{
"id": "<string>",
"name": "<string>",
"normalizedName": "<string>",
"color": "<string>"
}
],
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
},
"secret": "<string>"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Sources
Rotate a source intake credential.
Invalidates the current credential and returns the replacement secret once. Only its hash and short preview are retained.
POST
/
sources
/
{id}
/
credentials
/
rotate
Rotate a source intake credential.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The ID of the source whose intake credential should be rotated.
⌘I

